{
 "actions": [],
 "allow_import": 1,
 "allow_rename": 1,
 "creation": "2024-08-24 01:03:42.819663",
 "engine": "InnoDB",
 "field_order": [
  "任务_tab",
  "progress",
  "section_break_xcls",
  "column_break_glmw",
  "agent_name",
  "ai_repeat",
  "enabled",
  "column_break_bzai",
  "status",
  "trigger_mode",
  "event_type",
  "target_pagetype",
  "target_module",
  "condition",
  "trigger_time",
  "agent_flow_tab",
  "agent_flow",
  "排除关键词_tab",
  "exclude_prompts"
 ],
 "fields": [
  {
   "fieldname": "任务_tab",
   "fieldtype": "Tab Break",
   "label": "任务"
  },
  {
   "fieldname": "progress",
   "fieldtype": "Percent",
   "label": "进度"
  },
  {
   "default": "1",
   "fieldname": "ai_repeat",
   "fieldtype": "Int",
   "label": "任务执行次数"
  },
  {
   "fieldname": "status",
   "fieldtype": "Select",
   "in_list_view": 1,
   "label": "Status",
   "options": "\n草稿\n待执行\n进行中\n未完成\n已完成"
  },
  {
   "default": "1",
   "fieldname": "enabled",
   "fieldtype": "Check",
   "label": "已启用"
  },
  {
   "fieldname": "exclude_prompts",
   "fieldtype": "Text",
   "label": "排除关键词"
  },
  {
   "fieldname": "排除关键词_tab",
   "fieldtype": "Tab Break",
   "label": "排除关键词"
  },
  {
   "fieldname": "section_break_xcls",
   "fieldtype": "Section Break"
  },
  {
   "fieldname": "column_break_bzai",
   "fieldtype": "Column Break"
  },
  {
   "depends_on": "eval:pg.trigger_mode==\"Event Trigger\"",
   "fieldname": "event_type",
   "fieldtype": "Select",
   "label": "Event Type",
   "options": "\non_update\nafter_insert\non_submit\non_cancel\non_trash"
  },
  {
   "depends_on": "eval:pg.trigger_mode==\"Event Trigger\"",
   "fieldname": "target_pagetype",
   "fieldtype": "Link",
   "label": "Target PageType",
   "options": "PageType"
  },
  {
   "depends_on": "eval:pg.trigger_mode==\"Event Trigger\"",
   "fieldname": "target_module",
   "fieldtype": "Data",
   "label": "Target Module"
  },
  {
   "depends_on": "eval:pg.trigger_mode==\"Event Trigger\"",
   "fieldname": "condition",
   "fieldtype": "Small Text",
   "label": "Condition"
  },
  {
   "fieldname": "agent_flow",
   "fieldtype": "JSON",
   "label": "Agent Flow"
  },
  {
   "fieldname": "agent_flow_tab",
   "fieldtype": "Tab Break",
   "label": "Agent Flow"
  },
  {
   "fieldname": "agent_name",
   "fieldtype": "Data",
   "in_global_search": 1,
   "in_list_view": 1,
   "label": "智能体名称",
   "reqd": 1
  },
  {
   "fieldname": "column_break_glmw",
   "fieldtype": "Column Break"
  },
  {
   "depends_on": "eval:pg.trigger_mode==\"Scheduled Trigger\"",
   "fieldname": "trigger_time",
   "fieldtype": "Cron Editor",
   "label": "触发时间"
  },
  {
   "fieldname": "trigger_mode",
   "fieldtype": "Select",
   "in_list_view": 1,
   "label": "Trigger Mode",
   "options": "Manual Trigger\nEvent Trigger\nScheduled Trigger"
  }
 ],
 "index_web_pages_for_search": 1,
 "links": [],
 "make_attachments_public": 1,
 "modified": "2025-09-24 11:50:08.722912",
 "modified_by": "Administrator",
 "module": "AI",
 "name": "Local Ai Agent",
 "owner": "Administrator",
 "pagetype": "PageType",
 "permissions": [
  {
   "create": 1,
   "delete": 1,
   "email": 1,
   "export": 1,
   "print": 1,
   "read": 1,
   "report": 1,
   "role": "System Manager",
   "share": 1,
   "write": 1
  }
 ],
 "row_format": "Dynamic",
 "sort_field": "modified",
 "sort_order": "DESC",
 "states": []
}